Subject: inet netconf support for send_redirects

From: Timo Teras <[email-masked]>
Date: Wed, 6 May 2015 16:37:46 +0300

Hi,

I'm wondering if inet netconf support is planned or known will-not-add
for send_redirects (or the other missing proc/sys/ipv4/<if>/ knobs)?

I would be interested in this, and willing to implement it at least for
send_redirects. Mostly because I'd like an user-space routing daemon to
be able to control it, and run it as non-root. Now it's not possible
without dac-override capability to access proc/sys which sounds an
overkill for this purpose. Where as with netlink access the net-admin
capability is suit for the job.

Semi-relatedly, is there any specific reason why send_redirects is a
IN_DEV_ORCONF() option? Meaning that having the all/send_redirects set
to yes (the default) redirects are always sent. I would have thought
IN_DEV_ANDCONF() would make more sense in this case. Or is this just
some legacy thing?

Thanks,
Timo